
#ifndef __SC1602BS_H__INCLUDED__
#define __SC1602BS_H__INCLUDED__


//#define SC1602BS_8BIT


#ifndef SC1602BS_8BIT
#define SC1602BS_DL					0
#else
#define SC1602BS_DL					1
#endif/*SC1602BS_8BIT*/


#define sc1602bs_clearDisplay()						_sc1602bs_writeDataWait( 0x0001 )
#define sc1602bs_cursorAtHome()						_sc1602bs_writeDataWait( 0x0002 )
#define sc1602bs_entryModeSet(i_d, s)				_sc1602bs_writeData( 0x0004 | ((i_d)<<1) | (s) )
#define sc1602bs_displayOnOfCursor(d, c, b)			_sc1602bs_writeData( 0x0008 | ((d)<<2) | ((c)<<1) | (b) )
#define sc1602bs_cursorDisplayShift(s_c, r_l)		_sc1602bs_writeData( 0x0010 | ((s_c)<<3) | ((r_l)<<2) )
#define sc1602bs_functionSet(n, f)					_sc1602bs_writeData( 0x0020 | (SC1602BS_DL<<4) | ((n)<<3) | ((f)<<2) )
#define sc1602bs_cgramAddressSet( acg )				_sc1602bs_writeData( 0x0040 | (acg) )
#define sc1602bs_ddramAddressSet( add )				_sc1602bs_writeData( 0x0080 | (add) )
#define sc1602bs_cgramDdramDataWrite( writeData )	_sc1602bs_writeData( 0x0200 | (writeData) )


extern void sc1602bs_init( void ) ;
extern void _sc1602bs_writeData( uint16_t data ) ;
extern void _sc1602bs_writeDataWait( uint16_t data ) ;


#endif/*__SC1602BS_H__INCLUDED__*/
