#include <stdint.h>
#include "delay.h"


/* -------------------------------------------------------------------------------- */
/*   w~bx                                                                 */
/*                                                                                  */
/*   IN : ms = ~b                                                               */
/*   OUT: Ȃ                                                                      */
/* -------------------------------------------------------------------------------- */
void delayms( uint8_t ms ) __naked
{
	ms = ms ;

	__asm
		LD		IY, #0
		ADD		IY, SP

		LD		A, 2(IY)
		LD		DE, #48

delay_000:
		LD		B, D			; 4clk
delay_100:
		DJNZ	delay_100		; 3336clk = 13clk x 256 + 8clk

		LD		B, E			; 4clk
delay_200:
		DJNZ	delay_200		; 632clk = 13clk x  48 + 8clk

		NOP						; 4clk
		NOP						; 4clk

		DEC		A				; 4clk
		JR		NZ, delay_000	; true:12clk, false:7clk

		RET						; 10clk
	__endasm ;
}
