@echo off

@echo   AS    crt.rel
sdasz80 -y -o crt.rel crt.s
if errorlevel 1 goto Quit

@echo   CC    delay.rel
sdcc -mz80 --debug --fno-omit-frame-pointer --noinduction --nooverlay -c -o delay.rel delay.c
if errorlevel 1 goto Quit

@echo   CC    graph.rel
sdcc -mz80 --debug --fno-omit-frame-pointer --noinduction --nooverlay -c -o graph.rel graph.c
if errorlevel 1 goto Quit

@echo   CC    sc1602bs.rel
sdcc -mz80 --debug --fno-omit-frame-pointer --noinduction --nooverlay -c -o sc1602bs.rel sc1602bs.c
if errorlevel 1 goto Quit

@echo   CC    main.rel
sdcc -mz80 --debug --fno-omit-frame-pointer --noinduction --nooverlay -c -o main.rel main.c
if errorlevel 1 goto Quit

@echo   LD    main.ihx
sdcc -mz80 --debug --no-std-crt0 -o main.ihx crt.rel delay.rel graph.rel sc1602bs.rel main.rel
if errorlevel 1 goto Quit

:Quit
pause
